SystemOrganization addCategory: #ConfigurationOfGhost!

Object subclass: #ConfigurationOfGhost
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfGhost'!

!ConfigurationOfGhost commentStamp: 'LucFabresse 11/4/2014 16:37' prior: 0!
ConfigurationOfGhost load!

!ConfigurationOfGhost class methodsFor: 'private' stamp: 'MarianoMartinezPeck 2/9/2012 16:34'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfGhost class methodsFor: 'private' stamp: 'MarianoMartinezPeck 2/9/2012 16:34'!
ensureMetacello
        "Bootstrap Gofer (if necessary), load latest mcz file for ConfigurationOfMetacello (using old 
         Gofer API), then load the latest version of Metacello itself."

        Smalltalk at: #MetacelloProject ifAbsent: [ | error |
                "list of repositories to try, in case primary repository is not accessible"
                (Array 
                        with: 'http://www.squeaksource.com/MetacelloRepository' 
                        with: 'http://seaside.gemstone.com/ss/metacello') do: [:repositoryUrl |
                                ([
                                        Smalltalk at: #Gofer ifAbsent: [
                                        "Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
                                                self bootstrapPackage: 'Gofer-Core-lr.115' from: repositoryUrl ].
                                        Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
                                                gofer := goferClass new
                                                        url: repositoryUrl;
                                                        yourself.
                                                [ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
                                                gofer load ]]
                                                        on: Error
                                                        do: [ :ex |
                                                                error := ex.
                                                                Transcript 
                                                                        cr; 
                                                                        show: 'failed ensureMetacello: ';
                                                                        show: ex description printString;
                                                                        show: '...retrying'.
                                                                "try again"
                                                                ex return: nil ]) ~~ nil
                                        ifTrue: [
                                                "load 'default' group of Metacello"
                                                (Smalltalk at: #ConfigurationOfMetacello) perform: #load.
                                                ^self ]].
                "shouldn't get here unless the load failed ... throw an error"
                self error: 'retry with alternate repository failed: ', error description printString ]! !

!ConfigurationOfGhost class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 2/9/2012 16:34'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGhost class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 2/9/2012 16:34'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfGhost class methodsFor: 'accessing' stamp: 'MarianoMartinezPeck 2/9/2012 17:04'!
load
	(self project version: #stable) load! !

!ConfigurationOfGhost class methodsFor: 'metacello tool support' stamp: 'MarianoMartinezPeck 2/9/2012 16:34'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfGhost class methodsFor: 'accessing' stamp: 'MarianoMartinezPeck 2/9/2012 16:34'!
project

	^self new project! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub baselines' stamp: 'MarianoMartinezPeck 2/9/2012 16:59'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
		
	spec for: #pharo do: [
		
		spec repository: 'http://ss3.gemstone.com/ss/Ghost'.

		
		spec package: 'SimpleLogger' with: [ spec repository: 'http://ss3.gemstone.com/ss/Marea'].
		spec package: 'GhostProxies' with: [ spec requires: #('SimpleLogger') ].
		spec package: 'GhostProxiesTests' with: [ spec requires: #('GhostProxies') ].
		
		spec
 			group: 'default' with: #( 'Core' 'Tests' );
			group: 'Core' with: #('GhostProxies' );
			group: 'Tests' with: #('GhostProxiesTests');
			group: 'DevelopmentGroup' with: #( 'Core' 'Tests' )
			
		] ! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub baselines' stamp: 'pharos 6/18/2014 15:50'!
baseline11: spec 
	<version: '1.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
		
	spec for: #pharo do: [
		
		spec repository: 'http://smalltalkhub.com/mc/CAR/Ghost/main'.

		spec package: 'GhostProxies'.
		spec package: 'GhostProxiesTests' with: [ spec requires: #('GhostProxies') ].
		
		spec
 			group: 'default' with: #( 'Core' 'Tests' );
			group: 'Core' with: #('GhostProxies' );
			group: 'Tests' with: #('GhostProxiesTests');
			group: 'DevelopmentGroup' with: #( 'Core' 'Tests' )
			
		] ! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub baselines' stamp: 'DenisKudryashov 3/24/2016 11:37'!
baseline20: spec 
	<version: '2.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
		
	spec for: #pharo do: [
		
		spec repository: 'http://smalltalkhub.com/mc/Pharo/Ghost/main'.

		spec package: 'Ghost-ObjectProxies'.
		spec package: 'Ghost-ClassProxies' with: [ spec requires: #('Ghost-ObjectProxies') ].
		spec package: 'Ghost-ObjectVirus' with: [ spec requires: #('Ghost-ClassProxies') ].
		spec package: 'GhostTests-ObjectProxies' with: [ spec requires: #('Ghost-ObjectProxies') ].
		spec package: 'GhostTests-ClassProxies' with: [ spec requires: #('Ghost-ClassProxies') ].
		spec package: 'GhostTests-ObjectVirus' with: [ spec requires: #('Ghost-ObjectVirus') ].
		spec package: 'Ghost-GTSupport' with: [ spec requires: #('Ghost-ObjectProxies') ].
		spec package: 'Ghost-LearningObject' with: [ spec requires: #('Ghost-ObjectProxies') ].
		spec package: 'GhostTests-LearningObject' with: [ spec requires: #('Ghost-LearningObject')].
			
		spec project: 'StateSpecs' with: [
			spec
				className: #ConfigurationOfStateSpecs;
				versionString: #'development';
				repository: 'http://smalltalkhub.com/mc/dionisiy/StateSpecs/main/'].
		
		spec package: 'Ghost-StateSpecsSupport' with: [ spec requires: #('Ghost-ObjectProxies' 'StateSpecs') ]. 
		spec package: 'GhostTests-StateSpecsSupport' with: [ spec requires: #('Ghost-StateSpecsSupport')].
		
		spec
 			group: 'default' with: #( 'ObjectProxiesTests' 'ClassProxiesTests' 'ObjectVirusTests' 'GTSupport' 'LearningObjectTests' );
			group: 'ObjectProxies' with: #('Ghost-ObjectProxies' );
			group: 'ObjectProxiesTests' with: #('GhostTests-ObjectProxies' );
			group: 'ClassProxies' with: #('Ghost-ClassProxies' );
			group: 'ClassProxiesTests' with: #('GhostTests-ClassProxies' );
			group: 'ObjectVirus' with: #('Ghost-ObjectVirus' );
			group: 'ObjectVirusTests' with: #('GhostTests-ObjectVirus' );
			group: 'GTSupport' with: #('Ghost-GTSupport' );
			group: 'LearningObject' with: #('Ghost-LearningObject' );
			group: 'LearningObjectTests' with: #('GhostTests-LearningObject' );
			group: 'StateSpecsSupport' with: #('GhostTests-StateSpecsSupport' )
		] ! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub baselines' stamp: 'DenisKudryashov 3/29/2016 16:19'!
baseline21: spec 
	<version: '2.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].
		
	spec for: #pharo do: [
		
		spec repository: 'http://smalltalkhub.com/mc/Pharo/Ghost/main'.

		spec package: 'Ghost-ObjectGhost'.
		spec package: 'Ghost-ClassGhost' with: [ spec requires: #('Ghost-ObjectGhost') ].
		spec package: 'Ghost-ObjectVirus' with: [ spec requires: #('Ghost-ClassGhost') ].
		spec package: 'GhostTests-ObjectGhost' with: [ spec requires: #('Ghost-ObjectGhost') ].
		spec package: 'GhostTests-ClassGhost' with: [ spec requires: #('Ghost-ClassGhost') ].
		spec package: 'GhostTests-ObjectVirus' with: [ spec requires: #('Ghost-ObjectVirus') ].
		spec package: 'Ghost-GTSupport' with: [ spec requires: #('Ghost-ObjectGhost') ].
		spec package: 'Ghost-Learning' with: [ spec requires: #('Ghost-ObjectGhost') ].
		spec package: 'GhostTests-Learning' with: [ spec requires: #('Ghost-Learning')].
			
		spec project: 'StateSpecs' with: [
			spec
				className: #ConfigurationOfStateSpecs;
				versionString: #'development';
				repository: 'http://smalltalkhub.com/mc/dionisiy/StateSpecs/main/'].
		
		spec package: 'Ghost-StateSpecsSupport' with: [ spec requires: #('Ghost-ObjectGhost' 'StateSpecs') ]. 
		spec package: 'GhostTests-StateSpecsSupport' with: [ spec requires: #('Ghost-StateSpecsSupport')].
		
		spec
 			group: 'default' with: #( 'ObjectGhostTests' 'ClassGhostTests' 'ObjectVirusTests' 'GTSupport' 'LearningTests' );
			group: 'ObjectGhost' with: #('Ghost-ObjectGhost' );
			group: 'ObjectGhostTests' with: #('GhostTests-ObjectGhost' );
			group: 'ClassGhost' with: #('Ghost-ClassGhost' );
			group: 'ClassGhostTests' with: #('GhostTests-ClassGhost' );
			group: 'ObjectVirus' with: #('Ghost-ObjectVirus' );
			group: 'ObjectVirusTests' with: #('GhostTests-ObjectVirus' );
			group: 'GTSupport' with: #('Ghost-GTSupport' );
			group: 'Learning' with: #('Ghost-Learning' );
			group: 'LearningTests' with: #('GhostTests-Learning' );
			group: 'StateSpecsSupport' with: #('GhostTests-StateSpecsSupport' )
		] ! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub baselines' stamp: 'DenisKudryashov 4/15/2016 11:54'!
baseline22: spec 
	<version: '2.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://smalltalkhub.com/mc/Pharo/Ghost/main'.

		spec 
			package: 'Ghost-ObjectGhost';
			package: 'Ghost-ClassGhost' with: [ spec requires: #('Ghost-ObjectGhost') ];
			package: 'Ghost-ObjectVirus' with: [ spec requires: #('Ghost-ClassGhost') ];
			package: 'GhostTests-ObjectGhost' with: [ spec requires: #('Ghost-ObjectGhost') ];
			package: 'GhostTests-ClassGhost' with: [ spec requires: #('Ghost-ClassGhost') ];
			package: 'GhostTests-ObjectVirus' with: [ spec requires: #('Ghost-ObjectVirus') ];
			package: 'Ghost-GTSupport' with: [ spec requires: #('Ghost-ObjectGhost') ];
			package: 'Ghost-Learning' with: [ spec requires: #('Ghost-ObjectGhost') ];
			package: 'GhostTests-Learning' with: [ spec requires: #('Ghost-Learning')];
			package: 'Ghost-ObjectCallHalt' with: [ spec requires: #('Ghost-ObjectVirus') ];
			package: 'GhostTests-ObjectCallHalt' with: [ spec requires: #('Ghost-ObjectCallHalt')].
			
		spec project: 'StateSpecs' with: [
			spec
				className: #ConfigurationOfStateSpecs;
				versionString: #'development';
				repository: 'http://smalltalkhub.com/mc/dionisiy/StateSpecs/main/'].
		
		spec package: 'Ghost-StateSpecsSupport' with: [ spec requires: #('Ghost-ObjectGhost' 'StateSpecs') ]. 
		spec package: 'GhostTests-StateSpecsSupport' with: [ spec requires: #('Ghost-StateSpecsSupport')].
		
		spec
 			group: 'default' with: #( 'ObjectGhostTests' 'ClassGhostTests' 'ObjectVirusTests' 'GTSupport' 'LearningTests' );
			group: 'ObjectGhost' with: #('Ghost-ObjectGhost' );
			group: 'ObjectGhostTests' with: #('GhostTests-ObjectGhost' );
			group: 'ClassGhost' with: #('Ghost-ClassGhost' );
			group: 'ClassGhostTests' with: #('GhostTests-ClassGhost' );
			group: 'ObjectVirus' with: #('Ghost-ObjectVirus' );
			group: 'ObjectVirusTests' with: #('GhostTests-ObjectVirus' );
			group: 'GTSupport' with: #('Ghost-GTSupport' );
			group: 'Learning' with: #('Ghost-Learning' );
			group: 'LearningTests' with: #('GhostTests-Learning' );
			group: 'StateSpecsSupport' with: #('GhostTests-StateSpecsSupport' );
			group: 'ObjectCallHalt' with: #('GhostTests-ObjectCallHalt' 'ObjectGhostTests' 'ClassGhostTests' 'ObjectVirusTests' 'GTSupport')
		] ! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub baselines' stamp: 'CyrilFerlicot 5/11/2017 15:32'!
baseline30: spec 
	<version: '3.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://smalltalkhub.com/mc/Pharo/Ghost/main'.

		spec 
			package: 'Ghost-ObjectGhost';
			package: 'Ghost-ClassGhost' with: [ spec requires: #('Ghost-ObjectGhost') ];
			package: 'Ghost-ObjectMutation' with: [ spec requires: #('Ghost-ClassGhost') ];
			package: 'Ghost-ObjectGhost-Tests' with: [ spec requires: #('Ghost-ObjectGhost') ];
			package: 'Ghost-ClassGhost-Tests' with: [ spec requires: #('Ghost-ClassGhost') ];
			package: 'Ghost-ObjectMutation-Tests' with: [ spec requires: #('Ghost-ObjectMutation') ];
			package: 'Ghost-GTSupport' with: [ spec requires: #('Ghost-ObjectGhost') ];
			package: 'Ghost-Learning' with: [ spec requires: #('Ghost-ObjectGhost') ];
			package: 'Ghost-Learning-Tests' with: [ spec requires: #('Ghost-Learning')];
			package: 'Ghost-ObjectCallHalt' with: [ spec requires: #('Ghost-ObjectMutation') ];
			package: 'Ghost-ObjectCallHalt-Tests' with: [ spec requires: #('Ghost-ObjectCallHalt')].
			
		spec project: 'StateSpecs' with: [
			spec
				className: #ConfigurationOfStateSpecs;
				versionString: #'development';
				repository: 'http://smalltalkhub.com/mc/dionisiy/StateSpecs/main/'].
		
		spec package: 'Ghost-StateSpecsSupport' with: [ spec requires: #('Ghost-ObjectGhost' 'StateSpecs') ]. 
		spec package: 'Ghost-StateSpecsSupport-Tests' with: [ spec requires: #('Ghost-StateSpecsSupport' 'Ghost-ObjectGhost-Tests')].
		
		spec
 			group: 'default' with: #( 'ObjectGhostTests' 'ClassGhostTests' 'ObjectMutationTests' 'GTSupport' 'LearningTests' );
			group: 'ObjectGhost' with: #('Ghost-ObjectGhost' );
			group: 'ObjectGhostTests' with: #('Ghost-ObjectGhost-Tests' );
			group: 'ClassGhost' with: #('Ghost-ClassGhost' );
			group: 'ClassGhostTests' with: #('Ghost-ClassGhost-Tests' );
			group: 'ObjectMutation' with: #('Ghost-ObjectMutation' );
			group: 'ObjectMutationTests' with: #('Ghost-ObjectMutation-Tests' );
			group: 'GTSupport' with: #('Ghost-GTSupport' );
			group: 'Learning' with: #('Ghost-Learning' );
			group: 'LearningTests' with: #('Ghost-Learning-Tests' );
			group: 'StateSpecsSupport' with: #('Ghost-StateSpecsSupport-Tests' );
			group: 'ObjectCallHalt' with: #('Ghost-ObjectCallHalt-Tests' 'ObjectGhostTests' 'ClassGhostTests' 'ObjectMutationTests' 'GTSupport')
		] ! !

!ConfigurationOfGhost methodsFor: 'symbolic versions' stamp: 'DenisKudryashov 7/17/2017 14:52'!
master: spec
	<version: 'master'>
		
	spec for: #pharo do: [ 
		spec
			baseline: 'Ghost'
				with: [ spec repository: 'github://dionisiydk/Ghost' ];
			import: 'Ghost' ]! !

!ConfigurationOfGhost methodsFor: 'accessing' stamp: 'MarianoMartinezPeck 2/9/2012 16:34'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear.
		project ]! !

!ConfigurationOfGhost methodsFor: 'symbolic versions' stamp: 'DenisKudryashov 8/4/2017 10:32'!
stable: spec
	<symbolicVersion: #'stable'>
	"old pharos point to smalltalkhub repo"
	spec for: #'pharo1.3.x' version: '1.0'.
	spec for: #'pharo1.4.x' version: '1.0'.
	spec for: #'pharo2.x' version: '1.1'.
	spec for: #'pharo3.x' version: '1.2'.
	spec for: #'pharo4.x' version: '3.0.1'.
	spec for: #'pharo5.x' version: '3.0.1'.
	"latest pharos work with github"
	spec for: #'pharo' version: 'master'! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub versions' stamp: 'MarianoMartinezPeck 2/9/2012 17:29'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Mariano Martinez Peck'.
		spec description: ' '.
	].
	
	spec for: #pharo do: [		
				
		spec package: 'SimpleLogger' with: 'SimpleLogger-MarianoMartinezPeck.11'.
		spec package: 'GhostProxies' with: 'GhostProxies-MarianoMartinezPeck.26'.
		spec package: 'GhostProxiesTests' with: 'GhostProxiesTests-MarianoMartinezPeck.12'.

		
	]
			! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub versions' stamp: 'LucFabresse 11/4/2014 16:18'!
version11: spec
	<version: '1.1' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Mariano Martinez Peck'.
		spec description: '
		- Do not use Marea Simple logger. Lets print to Transcript and in the future use a logger integrated in Pharo.
		- This version is for Pharo 2.0 / 3.0'
	].
	
	spec for: #pharo do: [		
				
		spec package: 'GhostProxies' with: 'GhostProxies-MarianoMartinezPeck.32'.
		spec package: 'GhostProxiesTests' with: 'GhostProxiesTests-MarianoMartinezPeck.15'.

		
	]
			! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub versions' stamp: 'LucFabresse 11/4/2014 16:38'!
version12: spec
	<version: '1.2' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Luc Fabresse'.
		spec description: '
		- This version is for Pharo 3.0'
	].
	
	spec for: #pharo do: [		
				
		spec package: 'GhostProxies' with: 'GhostProxies-LucFabresse.33'.
		spec package: 'GhostProxiesTests' with: 'GhostProxiesTests-MarianoMartinezPeck.15'.

		
	]
			! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub versions' stamp: 'DenisKudryashov 3/24/2016 13:06'!
version20: spec
	<version: '2.0' imports: #('2.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'DenisKudryashov'.
		spec description: 'This is refactored and improved version of Ghost'.
		
		spec package: 'Ghost-ObjectProxies' with: 'Ghost-ObjectProxies-DenisKudryashov.14'.
		spec package: 'Ghost-ClassProxies' with: 'Ghost-ClassProxies-DenisKudryashov.5'.
		spec package: 'Ghost-ObjectVirus' with: 'Ghost-ObjectVirus-DenisKudryashov.10'.
		spec package: 'GhostTests-ObjectProxies' with: 'GhostTests-ObjectProxies-DenisKudryashov.6'.
		spec package: 'GhostTests-ClassProxies' with: 'GhostTests-ClassProxies-DenisKudryashov.2'.
		spec package: 'GhostTests-ObjectVirus' with: 'GhostTests-ObjectVirus-DenisKudryashov.9'.
		spec package: 'Ghost-GTSupport' with: 'Ghost-GTSupport-DenisKudryashov.1'.
		spec package: 'Ghost-LearningObject' with: 'Ghost-LearningObject-DenisKudryashov.3'.
		spec package: 'GhostTests-LearningObject' with: 'GhostTests-LearningObject-DenisKudryashov.5'.
		spec package: 'Ghost-StateSpecsSupport' with: 'Ghost-StateSpecsSupport-DenisKudryashov.3'.
		spec package: 'GhostTests-StateSpecsSupport' with: 'GhostTests-StateSpecsSupport-DenisKudryashov.2'.
		
	].
! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub versions' stamp: 'DenisKudryashov 3/29/2016 16:16'!
version21: spec
	<version: '2.1' imports: #('2.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'DenisKudryashov'.
		spec description: 'This is refactored and improved version of Ghost'.
		
		spec package: 'Ghost-ObjectGhost' with: 'Ghost-ObjectGhost-DenisKudryashov.1'.
		spec package: 'Ghost-ClassGhost' with: 'Ghost-ClassGhost-DenisKudryashov.1'.
		spec package: 'Ghost-ObjectVirus' with: 'Ghost-ObjectVirus-DenisKudryashov.11'.
		spec package: 'GhostTests-ObjectGhost' with: 'GhostTests-ObjectGhost-DenisKudryashov.1'.
		spec package: 'GhostTests-ClassGhost' with: 'GhostTests-ClassGhost-DenisKudryashov.1'.
		spec package: 'GhostTests-ObjectVirus' with: 'GhostTests-ObjectVirus-DenisKudryashov.10'.
		spec package: 'Ghost-GTSupport' with: 'Ghost-GTSupport-DenisKudryashov.2'.
		spec package: 'Ghost-Learning' with: 'Ghost-Learning-DenisKudryashov.1'.
		spec package: 'GhostTests-Learning' with: 'GhostTests-Learning-DenisKudryashov.2'.
		spec package: 'Ghost-StateSpecsSupport' with: 'Ghost-StateSpecsSupport-DenisKudryashov.4'.
		spec package: 'GhostTests-StateSpecsSupport' with: 'GhostTests-StateSpecsSupport-DenisKudryashov.2'.
		
	]! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub versions' stamp: 'DenisKudryashov 7/11/2016 17:57'!
version221: spec
	<version: '2.2.1' imports: #('2.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'DenisKudryashov'.
		spec description: 'Cleaning, new meta messages, withArgs:executeMethod: is not meta anymore'.
		
		spec package: 'Ghost-ObjectGhost' with: 'Ghost-ObjectGhost-DenisKudryashov.8'.
		spec package: 'Ghost-ClassGhost' with: 'Ghost-ClassGhost-DenisKudryashov.1'.
		spec package: 'Ghost-ObjectVirus' with: 'Ghost-ObjectVirus-DenisKudryashov.11'.
		spec package: 'GhostTests-ObjectGhost' with: 'GhostTests-ObjectGhost-DenisKudryashov.1'.
		spec package: 'GhostTests-ClassGhost' with: 'GhostTests-ClassGhost-DenisKudryashov.1'.
		spec package: 'GhostTests-ObjectVirus' with: 'GhostTests-ObjectVirus-DenisKudryashov.10'.
		spec package: 'Ghost-GTSupport' with: 'Ghost-GTSupport-DenisKudryashov.3'.
		spec package: 'Ghost-Learning' with: 'Ghost-Learning-DenisKudryashov.1'.
		spec package: 'GhostTests-Learning' with: 'GhostTests-Learning-DenisKudryashov.2'.
		spec package: 'Ghost-StateSpecsSupport' with: 'Ghost-StateSpecsSupport-DenisKudryashov.4'.
		spec package: 'GhostTests-StateSpecsSupport' with: 'GhostTests-StateSpecsSupport-DenisKudryashov.2'.
		
	]! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub versions' stamp: 'DenisKudryashov 7/28/2016 14:17'!
version222: spec
	<version: '2.2.2' imports: #('2.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'DenisKudryashov'.
		spec description: 'withArgs:executeMethod: is evaluated by virus on domain level without interception'.
		
		spec package: 'Ghost-ObjectGhost' with: 'Ghost-ObjectGhost-DenisKudryashov.8'.
		spec package: 'Ghost-ClassGhost' with: 'Ghost-ClassGhost-DenisKudryashov.1'.
		spec package: 'Ghost-ObjectVirus' with: 'Ghost-ObjectVirus-DenisKudryashov.12'.
		spec package: 'GhostTests-ObjectGhost' with: 'GhostTests-ObjectGhost-DenisKudryashov.1'.
		spec package: 'GhostTests-ClassGhost' with: 'GhostTests-ClassGhost-DenisKudryashov.1'.
		spec package: 'GhostTests-ObjectVirus' with: 'GhostTests-ObjectVirus-DenisKudryashov.11'.
		spec package: 'Ghost-GTSupport' with: 'Ghost-GTSupport-DenisKudryashov.3'.
		spec package: 'Ghost-Learning' with: 'Ghost-Learning-DenisKudryashov.1'.
		spec package: 'GhostTests-Learning' with: 'GhostTests-Learning-DenisKudryashov.2'.
		spec package: 'Ghost-StateSpecsSupport' with: 'Ghost-StateSpecsSupport-DenisKudryashov.4'.
		spec package: 'GhostTests-StateSpecsSupport' with: 'GhostTests-StateSpecsSupport-DenisKudryashov.2'.
		
	]! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub versions' stamp: 'DenisKudryashov 4/4/2016 10:58'!
version22: spec
	<version: '2.2' imports: #('2.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'DenisKudryashov'.
		spec description: 'This is refactored and improved version of Ghost'.
		
		spec package: 'Ghost-ObjectGhost' with: 'Ghost-ObjectGhost-DenisKudryashov.2'.
		spec package: 'Ghost-ClassGhost' with: 'Ghost-ClassGhost-DenisKudryashov.1'.
		spec package: 'Ghost-ObjectVirus' with: 'Ghost-ObjectVirus-DenisKudryashov.11'.
		spec package: 'GhostTests-ObjectGhost' with: 'GhostTests-ObjectGhost-DenisKudryashov.1'.
		spec package: 'GhostTests-ClassGhost' with: 'GhostTests-ClassGhost-DenisKudryashov.1'.
		spec package: 'GhostTests-ObjectVirus' with: 'GhostTests-ObjectVirus-DenisKudryashov.10'.
		spec package: 'Ghost-GTSupport' with: 'Ghost-GTSupport-DenisKudryashov.2'.
		spec package: 'Ghost-Learning' with: 'Ghost-Learning-DenisKudryashov.1'.
		spec package: 'GhostTests-Learning' with: 'GhostTests-Learning-DenisKudryashov.2'.
		spec package: 'Ghost-StateSpecsSupport' with: 'Ghost-StateSpecsSupport-DenisKudryashov.4'.
		spec package: 'GhostTests-StateSpecsSupport' with: 'GhostTests-StateSpecsSupport-DenisKudryashov.2'.
		
	]! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub versions' stamp: 'DenisKudryashov 9/5/2016 10:54'!
version300: spec
	<version: '3.0.0' imports: #('3.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'DenisKudryashov'.
		spec description: 'Virus renamed to mutation. Test packages are renamed according convention'.
		
		spec package: 'Ghost-ObjectGhost' with: 'Ghost-ObjectGhost-DenisKudryashov.8'.
		spec package: 'Ghost-ClassGhost' with: 'Ghost-ClassGhost-DenisKudryashov.1'.
		spec package: 'Ghost-ObjectMutation' with: 'Ghost-ObjectMutation-DenisKudryashov.1'.
		spec package: 'Ghost-ObjectGhost-Tests' with: 'Ghost-ObjectGhost-Tests-DenisKudryashov.1'.
		spec package: 'Ghost-ClassGhost-Tests' with: 'Ghost-ClassGhost-Tests-DenisKudryashov.1'.
		spec package: 'Ghost-ObjectMutation-Tests' with: 'Ghost-ObjectMutation-Tests-DenisKudryashov.1'.
		spec package: 'Ghost-GTSupport' with: 'Ghost-GTSupport-DenisKudryashov.3'.
		spec package: 'Ghost-Learning' with: 'Ghost-Learning-DenisKudryashov.1'.
		spec package: 'Ghost-Learning-Tests' with: 'Ghost-Learning-Tests-DenisKudryashov.1'.
		spec package: 'Ghost-StateSpecsSupport' with: 'Ghost-StateSpecsSupport-DenisKudryashov.4'.
		spec package: 'Ghost-StateSpecsSupport-Tests' with: 'Ghost-StateSpecsSupport-Tests-DenisKudryashov.1'.
		spec package: 'Ghost-ObjectCallHalt' with: 'Ghost-ObjectCallHalt-DenisKudryashov.4'.
		spec package: 'Ghost-ObjectCallHalt-Tests' with: 'Ghost-ObjectCallHalt-Tests-DenisKudryashov.1'.
	]! !

!ConfigurationOfGhost methodsFor: 'old smalltalkhub versions' stamp: 'DenisKudryashov 5/24/2017 14:09'!
version301: spec
	<version: '3.0.1' imports: #('3.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Now #perform: messages to mutated objects are evaluated on domain level which means that reflectivelly sent messages are intercepted as by normal message send'.
		spec author: 'DenisKudryashov'.
		spec timestamp: '5/24/2017 14:06'.
		spec project: 'StateSpecs' with: #'stable'.
		spec 
			package: 'Ghost-ObjectGhost' with: 'Ghost-ObjectGhost-DenisKudryashov.10';
			package: 'Ghost-ClassGhost' with: 'Ghost-ClassGhost-DenisKudryashov.1';
			package: 'Ghost-ObjectMutation' with: 'Ghost-ObjectMutation-DenisKudryashov.2';
			package: 'Ghost-ObjectGhost-Tests' with: 'Ghost-ObjectGhost-Tests-DenisKudryashov.1';
			package: 'Ghost-ClassGhost-Tests' with: 'Ghost-ClassGhost-Tests-DenisKudryashov.1';
			package: 'Ghost-ObjectMutation-Tests' with: 'Ghost-ObjectMutation-Tests-DenisKudryashov.3';
			package: 'Ghost-GTSupport' with: 'Ghost-GTSupport-DenisKudryashov.3';
			package: 'Ghost-Learning' with: 'Ghost-Learning-DenisKudryashov.1';
			package: 'Ghost-Learning-Tests' with: 'Ghost-Learning-Tests-DenisKudryashov.1';
			package: 'Ghost-ObjectCallHalt' with: 'Ghost-ObjectCallHalt';
			package: 'Ghost-ObjectCallHalt-Tests' with: 'Ghost-ObjectCallHalt-Tests';
			package: 'Ghost-StateSpecsSupport' with: 'Ghost-StateSpecsSupport-DenisKudryashov.4';
			package: 'Ghost-StateSpecsSupport-Tests' with: 'Ghost-StateSpecsSupport-Tests-DenisKudryashov.1'. ].
! !
